point_iterator_ Class Reference

## Public Types

typedef const_pointer_ | const_pointer
typedef const_reference_ | const_reference
typedef trivial_iterator_difference_type | difference_type
typedef trivial_iterator_tag | iterator_category
typedef pointer_ | pointer
typedef reference_ | reference
typedef value_type_ | value_type

## Public Member Functions

| point_iterator_ ()
| point_iterator_ (const point_iterator_ &other)
| point_iterator_ (pointer p_value)
bool | operator!= (const point_iterator_ &other) const
bool | operator!= (const point_const_iterator_ &other) const
reference | operator* () const
pointer | operator-> () const
bool | operator== (const point_iterator_ &other) const
bool | operator== (const point_const_iterator_ &other) const

## Protected Attributes

pointer | m_p_value

## Friends

class | PB_DS_CLASS_C_DEC
class | point_const_iterator_

## Detailed Description

Find type iterator.

Definition at line 43 of file point_iterator.hpp.

## Member Typedef Documentation

typedef const_pointer_ point_iterator_::const_pointer

Iterator's const pointer type.

Definition at line 59 of file point_iterator.hpp.

typedef const_reference_ point_iterator_::const_reference

Iterator's const reference type.

Definition at line 65 of file point_iterator.hpp.

typedef trivial_iterator_difference_type point_iterator_::difference_type

Difference type.

Definition at line 50 of file point_iterator.hpp.

typedef trivial_iterator_tag point_iterator_::iterator_category

Category.

Definition at line 47 of file point_iterator.hpp.

typedef pointer_ point_iterator_::pointer

Iterator's pointer type.

Definition at line 56 of file point_iterator.hpp.

typedef reference_ point_iterator_::reference

Iterator's reference type.

Definition at line 62 of file point_iterator.hpp.

typedef value_type_ point_iterator_::value_type

Iterator's value type.

Definition at line 53 of file point_iterator.hpp.

## Constructor & Destructor Documentation

point_iterator_::point_iterator_ | ( |  | ) |

inline

Default constructor.

Definition at line 69 of file point_iterator.hpp.

point_iterator_::point_iterator_ | ( | const point_iterator_ & | other | ) |

inline

Copy constructor.

Definition at line 75 of file point_iterator.hpp.

## Member Function Documentation

bool point_iterator_::operator!= | ( | const point_iterator_ & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 107 of file point_iterator.hpp.

bool point_iterator_::operator!= | ( | const point_const_iterator_ & | other | ) | const

inline

Compares content (negatively) to a different iterator object.

Definition at line 112 of file point_iterator.hpp.

reference point_iterator_::operator* | ( |  | ) | const

inline

Access.

Definition at line 89 of file point_iterator.hpp.

pointer point_iterator_::operator-> | ( |  | ) | const

inline

Access.

Definition at line 81 of file point_iterator.hpp.

bool point_iterator_::operator== | ( | const point_iterator_ & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 97 of file point_iterator.hpp.

bool point_iterator_::operator== | ( | const point_const_iterator_ & | other | ) | const

inline

Compares content to a different iterator object.

Definition at line 102 of file point_iterator.hpp.

The documentation for this class was generated from the following file:

- point_iterator.hpp